/*
 * @Author: wuhao930406 1148547900@qq.com
 * @Date: 2023-08-03 16:51:19
 * @LastEditors: wuhao930406 1148547900@qq.com
 * @LastEditTime: 2023-08-03 17:16:43
 * @FilePath: /socketio_middleware/config/config.default.js
 * @Description:
 *
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved.
 */
/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */
module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1684983472866_2862';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };

  // cros允许请求
  config.security = {
    csrf: {
      enable: false,
    },
    domainWhiteList: [ '*' ], // 允许访问域名的白名单,*表示都能访问
  };

  config.cors = {
    origin: '*',
    allowMethods: 'GET,HEAD,PUT,POST,DELETE,PATCH,OPTIONS',
    credentials: true,
  };
  // socket.io
  config.io = {
    init: {
      wsEngine: 'ws',
    }, // passed to engine.io
    namespace: {
      '/': {
        connectionMiddleware: [ 'connection' ],
        packetMiddleware: [],
      },
    },
    redis: {
      host: 'localhost',
      port: 6379,
      // auth_pass: 'nangao',
      // db: 8,
    },
  };

  return {
    ...config,
    ...userConfig,
  };
};
